## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# NOTE: We do not currently build the opam-0install part.  Doing so would
# introduce a circular dependency on opam, plus nothing in Fedora needs it.

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global giturl  https://github.com/ocaml-opam/opam-0install-solver

Name:           ocaml-opam-0install
Version:        0.4.3
Release:        %autorelease
Summary:        Solver for opam packages using 0install's solver engine

License:        ISC
URL:            https://ocaml-opam.github.io/opam-0install-solver/
VCS:            git:%{giturl}.git
Source:         %{giturl}/releases/download/v%{version}/opam-0install-cudf-%{version}.tbz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-0install-solver-devel
BuildRequires:  ocaml-cudf-devel
BuildRequires:  ocaml-dune >= 2.7

%global _desc %{expand:
Opam's default solver is designed to maintain a set of packages over
time, minimizing disruption when installing new programs and finding a
compromise solution across all packages (e.g. avoiding upgrading some
library to prevent uninstalling another program).

In many situations (e.g. a CI system building in a clean environment, a
project-local opam root, or a duniverse build) this is not necessary,
and we can get a solution much faster by using a different algorithm.}

%description %_desc

%package        cudf
Summary:        Solver for opam packages using the CUDF interface

%description    cudf %_desc

This package uses 0install's solver algorithm with opam packages using
the CUDF interface.

%package        cudf-devel
Summary:        Development files for %{name}-cudf
Requires:       %{name}-cudf%{?_isa} = %{version}-%{release}

%description    cudf-devel
The %{name}-cudf-devel package contains libraries and
signature files for developing applications that use
%{name}-cudf.

%prep
%autosetup -n opam-0install-cudf-%{version}

%build
%dune_build -p opam-0install-cudf

%install
%dune_install opam-0install-cudf

%check
%dune_check -p opam-0install-cudf

%files cudf -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files cudf-devel -f .ofiles-devel

%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 0.4.3-1
- Initial RPM
## END: Generated by rpmautospec
